package envoy.client.event;

import envoy.event.Event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>ThemeChangeEvent.java</strong><br>
 * Created: <strong>15 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy Client v0.2-alpha
 */
public class ThemeChangeEvent extends Event<String> {

	private static final long serialVersionUID = 0L;

	/**
	 * Initializes a {@link ThemeChangeEvent} conveying information about the change
	 * of the theme currently in use.
	 *
	 * @param theme the name of the new theme
	 * @since Envoy Client v0.2-alpha
	 */
	public ThemeChangeEvent(String theme) { super(theme); }
}
